﻿<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFrameworks>net40;netstandard2.0</TargetFrameworks>
    <AssemblyName>Xilium.CefGlue</AssemblyName>
    <Company>Xilium</Company>
    <Authors>Xilium</Authors>
    <PackageProjectUrl>https://gitlab.com/xiliumhq/chromiumembedded/cefglue</PackageProjectUrl>
    <RepositoryUrl>https://gitlab.com/xiliumhq/chromiumembedded/cefglue</RepositoryUrl>
    <Description>Xilium.CefGlue is a .NET/Mono binding for The Chromium Embedded Framework (CEF) by Marshall A. Greenblatt.</Description>
    <Configurations>Debug;Release;Debug_WindowlessRender</Configurations>
    <AllowUnsafeBlocks>true</AllowUnsafeBlocks>
    <LangVersion>8.0</LangVersion>
  </PropertyGroup>

  <ItemGroup>
    <Compile Remove="Wrapper\**" />
    <EmbeddedResource Remove="Wrapper\**" />
    <None Remove="Wrapper\**" />
  </ItemGroup>

  <ItemGroup>
    <Compile Remove="Interop\Base\cef_string_t.disabled.cs" />
  </ItemGroup>

  <ItemGroup>
    <None Include="Interop\Base\cef_string_t.disabled.cs" />
  </ItemGroup>

  <ItemGroup>
    <Folder Include="Classes.g\Interop\" />
    <Folder Include="Properties\" />
  </ItemGroup>

</Project>
